<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html"/>
  <xsl:param name="aname"/>
  <xsl:template match="/">
		<html>
			<body>
				<table border="1">
					<tr><td><b>Author</b></td><td><b>Title</b></td></tr>
          <xsl:if test="string-length($aname)=0">
  					<xsl:for-each select="//book">
  						<tr>
  							<td><xsl:value-of select="author"/></td>
  							<td><xsl:value-of select="title"/></td>
  						</tr>
  					</xsl:for-each>
          </xsl:if>
          <xsl:if test="string-length($aname)>0">
  					<xsl:for-each select="//book[author=$aname]">
  						<tr>
  							<td><xsl:value-of select="author"/></td>
  							<td><xsl:value-of select="title"/></td>
  						</tr>
  					</xsl:for-each>
          </xsl:if>
				</table>
			</body>
		</html>
  </xsl:template>
</xsl:stylesheet>
